info(1)

NAME
info - GNU's hypertext system

SYNOPSIS
info [ --option-name option-value ] nu-item...

COPYRIGHT
Copyright (C) 1989, 1993 Free Software Foundation, Inc.

DESCRIPTION

The GNU project has a hypertext system called Info which allows the same source file to be either printed as a paper manual, or viewed using info. It is possible to use the info program from inside Emacs, or to use the stand-alone version described here. This manual page gives a brief summary of its capabilities.

OPTIONS

--directory directory-path
    Add directory-path to the list of directory paths searched when info needs to find a file. You may issue --directory multiple times. Alternatively, you may specify a value for the environment variable INFOPATH; if --directory is not given, the value of INFOPATH is used. The value of INFOPATH is a colon separated list of directory names. If you do not supply either INFOPATH or --directory-path, info uses a default path.

-f filename
    Specify a particular info file to visit. By default, info visits the file dir; if you use this option, info will start with (FILENAME)Top as the first file and node.

-n nodename
    Specify a particular node to visit in the initial file that info loads. This is especially useful in conjunction with --file. You may specify --node multiple times.

-o file
    Direct output to file instead of starting an interactive info session.

-h  Produce a relatively brief description of the available info options.

--version
    Print the version information of info and exit.

menu-item
    info treats its remaining arguments as the names of menu items. The first argument is a menu item in the initial node visited, while the second argument is a menu item in the first argument's node. You can easily move to the node of your choice by specifying the menu names which describe the path to that node. For example, info emacs buffers first selects the menu item emacs in the node (dir)Top, and then selects the menu item buffers in the node (emacs)Top.

COMMANDS
When in info the following commands are available:

h   Invoke the Info tutorial.

?   Get a short summary of info commands.

h   Select the info node from the main directory; this is much more complete than just using ?.

Ctrl-g
    Abort whatever you are doing.

Ctrl-l
    Redraw the screen.

Selecting other nodes:

n   Move to the "next" node of this node.

p   Move to the "previous" node of this node.

u   Move to this node's "up" node.

m   Pick a menu item specified by name. Picking a menu item causes another node to be selected. You do not need to type a complete nodename; if you type a few letters and then a space or tab info will will try to fill in the rest of the nodename. If you ask for further completion without typing any more characters you'll be given a list of possibilities; you can also get the list with ?. If you type a few characters and then hit return info will try to do a completion, and if it is ambigous use the first possibility.

f   Follow a cross reference. You are asked for the name of the reference, using command completion as for m.

l   Move to the last node you were at.

Moving within a node:

Space
    Scroll forward a page.

DEL Scroll backward a page.

b   Go to the beginning of this node.

Advanced commands:

q   Quit info.

1   Pick first item in node's menu.

2 -- 5
    Pick second ... fifth item in node's menu.

g
    Move to node specified by name.    You may include a filename as well,
    as (FILENAME)NODENAME.

s   Search through this info file for a specified string, and select the node in which the next occurrence is found.

M-x print-node
    Pipe the contents of the current node through the command in the environment variable INFO_PRINT_COMMAND. If the variable does not exist, the node is simply piped to lpr.

ENVIRONMENT

INFOPATHS
    A colon-separated list of directories to search for info files. Used if --directory is not given.

INFO_PRINT_COMMAND
    The command used for printing.

SEE ALSO
emacs(1)

AUTHOR
    Brian Fox, Free Software Foundation
    bfox@ai.mit.edu

MANUAL AUTHOR
    Robert Lupton; updated by Robert J. Chassell.
    rhl@astro.princeton.edu; bob@gnu.ai.mit.edu